/* 
(C) OOMusou 2011 http://oomusou.cnblogs.com

Filename    : digital_filter_2
Synthesizer : Quartus II 10.1
Description : degital filter 2
Release     : Feb.03,2011 1.0
*/

module digital_filter_2 (
  clk_50M,
  rst_n,
  host_rst_n,
  host_rst_n_filter
);

input  clk_50M;
input  rst_n;
input  host_rst_n;
output host_rst_n_filter;

reg [2:0] host_rst_n_dly;

always@(posedge clk_50M or negedge rst_n) begin
  if (~rst_n)
    host_rst_n_dly <= 3'b111;
  else
    host_rst_n_dly <= {host_rst_n_dly[1:0], host_rst_n};
end

assign host_rst_n_filter = |host_rst_n_dly;

endmodule